Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
main.c File Reference
`#include "ruby.h"`
`#include "vm_debug.h"`
Include dependency graph for main.c:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
int | main (int argc, char **argv)

## Function Documentation

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 23 of file main.c.

References utimbuf::actime, argc, backup_f, backup_suffix, binmode_f, cp, debug_f, dup2(), FALSE, file_out_f, fileno, get_backup_filename(), getenv(), guess_f, i, iconv_for_check, input_codename, input_eol, IOBUF_SIZE, kanji_convert(), mime_f, utimbuf::modtime, nkf_state_init(), nkf_xfree, nkf_xmalloc(), noconvert(), nop_f, NULL, overwrite_f, preserve_time_f, print_guessed_code(), reinit(), ruby_init(), RUBY_INIT_STACK, ruby_options, ruby_run_node, ruby_set_debug_option(), ruby_sysinit, setbinmode, setvbuffer, stat, stdibuf, stdobuf, strcpy(), strlen(), TRUE, unbuf_f, utime(), x0212_f, and x0213_f.